﻿<UserControl x:Class="DemoApplication.View.Login.LoginView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:login="clr-namespace:DemoApplication.View.Login"
             mc:Ignorable="d" 
             d:DesignHeight="1080" d:DesignWidth="1920" Background="Black">
    <Grid>
            <Grid.RowDefinitions>
                <RowDefinition/>
                <RowDefinition Height="30"/>
            </Grid.RowDefinitions>
        <Grid Width="360" Height="600" VerticalAlignment="Center" HorizontalAlignment="Right" Margin="20">
            <Grid.RowDefinitions>
                <RowDefinition Height="40"/>
                <RowDefinition Height="100"/>
                <RowDefinition/>
            </Grid.RowDefinitions>
            <TextBlock Text="Enter Your PIN to Start" VerticalAlignment="Center" HorizontalAlignment="Center" FontSize="18" Foreground="White"/>
            <TextBlock Name="PinCode" Grid.Row="1" VerticalAlignment="Center" HorizontalAlignment="Center" FontSize="40" Foreground="White"/>
            <Grid Row="2" Margin="20,50" >
                <Grid.Resources>
                    <Style TargetType="{x:Type Button}">
                        <Setter Property="Margin" Value="4" />
                        <Setter Property="Template">
                            <Setter.Value>
                                <ControlTemplate TargetType="Button">
                                    <Border CornerRadius="3" Background="White" BorderBrush="#ccc" BorderThickness="0,1,1,0" >
                                        <ContentPresenter x:Name="contentPresenter" ContentTemplate="{TemplateBinding ContentTemplate}" Content="{TemplateBinding Content}" HorizontalAlignment="{TemplateBinding HorizontalContentAlignment}" Margin="{TemplateBinding Padding}" VerticalAlignment="{TemplateBinding VerticalContentAlignment}"/>
                                    </Border>
                                </ControlTemplate>
                            </Setter.Value>
                        </Setter>
                    </Style>
                </Grid.Resources>
                <Grid.ColumnDefinitions>
                    <ColumnDefinition/>
                    <ColumnDefinition/>
                    <ColumnDefinition/>
                </Grid.ColumnDefinitions>
                <Grid.RowDefinitions>
                    <RowDefinition/>
                    <RowDefinition/>
                    <RowDefinition/>
                    <RowDefinition/>
                </Grid.RowDefinitions>
                <Button Name="NumberOne" Content="1" FontSize="30" FontWeight="Bold"/>
                <Button Name="NumberTwo" Grid.Row="0" Grid.Column="1" Content="2" FontSize="30" FontWeight="Bold"/>
                <Button Name="NumberThree" Grid.Row="0" Grid.Column="2" Content="3" FontSize="30" FontWeight="Bold"/>
                <Button Name="NumberFour" Grid.Row="1" Grid.Column="0" Content="4" FontSize="30" FontWeight="Bold"/>
                <Button Name="NumberFive" Grid.Row="1" Grid.Column="1" Content="5" FontSize="30" FontWeight="Bold"/>
                <Button Name="NumberSix" Grid.Row="1" Grid.Column="2" Content="6" FontSize="30" FontWeight="Bold"/>
                <Button Name="NumberSeven" Grid.Row="2" Grid.Column="0" Content="7" FontSize="30" FontWeight="Bold"/>
                <Button Name="NumberEight" Grid.Row="2" Grid.Column="1" Content="8" FontSize="30" FontWeight="Bold"/>
                <Button Name="NumberNine" Grid.Row="2" Grid.Column="2" Content="9" FontSize="30" FontWeight="Bold"/>
                <Button Name="NumberZero" Grid.Row="3" Grid.Column="0" Content="0" FontSize="30" FontWeight="Bold"/>
                <Button Name="Clear" Grid.Row="3" Grid.Column="1" Content="Clear" FontSize="30" FontWeight="Bold"/>
            </Grid>
        </Grid>
    </Grid>
</UserControl>
